Which one of these methods insures that there will be no error, or bug on closing the sketch profile in all the future versions of inventor? One is simpler than the other (no line on top of line, no need to make extra construction line). I'm fine either way, i just want to know which one is the SAFEST FOR LONG TERM PART FILE STABILITY.
I just installed the trial version of Inventor pro, 2013. I'm having a problem with the view changing on creation of a sketch. It goes to the home position. The "Look at sketch plane on sketch creation" is un-ticked in options.
Click on Component->Create. Once the Component is created, click 2D Sketch. View spins to the Home position. This is really annoying. I learned Inventor 2010 in school. I don't remember this ever happening.
If I select a plane from the browser prior to clicking the Create 2D Sketch, the view remains the same as expected. This is only a problem if you want to create the initial sketch using a face of another part as the sketch plane. Is there an option I'm missing?
I'm currently working on a model and it annoys me a bit that whenever i create a new Sketch a Center Point is created automatically (okay thats quite useful for the first sketch) and when I create a sketch on a face of an extrusion, the shape of that face is automatically projected as lines in my new sketch.
Usually I don't need that "projection" - is there a way to disable this feature?
I'm using Inventor Professional 2014 Student edition.
PS: I just noticed that I can't snap to center and corner points after deleting the projected shape.
is there a way to use vb to add closed sketch loops to an existing feature?
I am trying to create a parametric template for a fan guard assembly, complete with drawings.
I am using an arrangement of circles defined using some linear sketch patterns as the cross-section of a revolved feature. Using ilogic/vb, I want to automate the number and spacing of items in the linear pattern, and then update the loops selected for the revolved feature.
I have found code on this forum (courtesy of Curtis Waguespack) that I can use to select all closed loops and create a feature. I can apply this code to create a NEW revolved feature, but I haven't been able to figure out how to use it to UPDATE an existing feature.
I need the feature to UPDATE rather than create new to maintain links in my assemblies and drawings.
I'm just wondering is there a possibility to select all closed profiles from a sketch to make an extrusion or revolve with a shortkey instead doing that manually with the mouse for each profile? Something like CTRL+A
How can I create closed profile in VBA Suppose this profile includes Line and Spline See attached code in vb
Later I cannot create Extrude feature because previously created profile is open (consists of two separate curves)
How can I join together points in profile which belongs to separate curves to get one curve.
Dim t As Inventor.TransientGeometry Set t = ThisApplication.TransientGeometry Dim c As Inventor.ComponentDefinition Set c = ThisApplication.ActiveDocument.ComponentDefinition
The attached profile is a section from a solid. I would like to create a closed profile in order to extrude the shape into a solid. The polyline command and splinedit don't seem to do the trick.
See attached image file. I can't select just the profile sketch to cut extrude. It only selects the whole face (surface). I have this issue on (2) different workstations and on various parts along the way.
Ever tried filleting a model and noticed this annoying behavior. You want to type in 0.25... So you typed 0 first, then typed point, then 2. You are now going to type the remaining part 5. You notice that 5 replaces all the numbers in the dialog box. All of a sudden now inventor thinks the fillet value is 5.
Bad part is that this is a huge casting model and 5 is too big and inventor is now frozen.
Inventor Professional 2013 Vault Collaboration 2013
The company I work for recently updated a few of our computers with the SP2 for Civil 3D 2013. After this update, every time I create a surface profile, things get all messed up. Like I have done dozens of times before, I create the profile then open the profile creation tools. I am using the draw tangents with curves tool and as soon as I click my first tangent point, it shows up about an inch over to the left. I have struggled through and used the grips to edit after the fact but this used to be a VERY easy task. FYI my snap isn't on or anything goofy like that and when opened on a computer without the service pack, it works as it should.
I created a pressure pipe network with curved pipes. After I created the profile and told the pipe to follow the surface, all of my curved pipes had turned into straight segments. I wasn't able to convert them back to curved.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
I have used PEDIT to join multiple polylines, which now appear as polylines. But when I use QSELECT to show all open (non-closed) section, one polyline still shows up as open.
I've attached the file I'm working on. The polyline in question is the green outline on the object on the right.
I have 3D drawing. I put camera's in several places and situations. In viewports I choosed a camera in every viewport. They work nice so long the drawing is open. When I close the drawing after saving it ofcourse. When I open it again , the viewports jump to SOUTH-EAST. and I have to rearrange the view of the cammera again. Although I used the command UCSFOLLOW to solve this, but it did not work.
PS. that happens only in the viewports which based on camera's. The views in other viewports which are not based on camer's, stay without chaning or jumping.
I have been looking at posts on automating pdf creation but have seen a lot with programming / VB involved but would like to avoid that if possible. I have also seen one's on batch processing but would like to do them as needed / completed.
I am trying to somewhat automate the pdf creation process. Having them save to a specific spot / folder and having them 'plot' the same view to the pdf would be very beneficial that way we don't have to select print, print to pdf, print this view with these details, save to this folder location. etc.
I have a 32 page Inventor DWG file I am trying to convert to a DXF file. Unfortunately when I do a save copy as DXF,
I get 32 individual DXF files. I would like one file with 32 different pages just like it was made in Inventor or just like it is done in Autocad where you have one drawing with the tabs at the bottom. Is this possible to accomplish in Inventor?
Is it possible to automate the creation of a DXF file when you save or check-in a part file from inventor. I have already set it up to create a DWF file to a shared folder on our network but we also export to DXF files as well for use in our machine shop. As of now the only way I know of doing it, is to open the .idw file and save it as a DXF manually. How to set this up to automatically create one on save or check-in.
I have tried to create deployments on the network for my products but I keep getting a "copy function fails" error once I start it.
When you first start to make a deployment it asks for a Administrative image path which I have been point at a network location (\serverpath, etc). I did make sure that the path length was less than 73 characters (due to a previous error).
It was suggested that I make the deployment on the local machine and then move it to the network location?
However, it does not appear that you allowed to pick a local directory for this (see attached).
I've been making iLogic assemblies with hints of VB for about 6 months now. My Boss has asked me if I can write code that will effectively create drawings automatically.
What we would like to create is a rule, which when run, creates a new drawing file, places the active assembly in a base view, then place a Left, Right and Top view of the assembly and place a parts list in the top corner. Dimensions are not really important at the moment, as the sizes of the parts are in the description field and the drawings are used for assembling the product only.
All I want to do is automatically generate a drawing for an assembly with sheets for the component parts. The assembly is being placed as an iLogic part if that makes a difference.